csConfigAccess Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csConfigAccess Class Reference

This is a simple convenience class that can be used to deal with the sytem config manager. More...

`#include <csutil/cfgacc.h>`

List of all members.

## Public Member Functions
void | AddConfig (iObjectRegistry *object_reg, const char *Filename, bool vfs=true, int Priority=iConfigManager::ConfigPriorityPlugin)
| add a config file
void | AddConfig (iObjectRegistry *object_reg, iConfigFile *file, int Priority=iConfigManager::ConfigPriorityPlugin)
| add a config object
| csConfigAccess ()
| constructor
| csConfigAccess (iObjectRegistry *object_reg)
| constructor (provides access to config manager, but doesn't add file)
| csConfigAccess (iObjectRegistry *object_reg, const char *Filename, bool vfs=true, int Priority=iConfigManager::ConfigPriorityPlugin)
| constructor (also adds a config file)
| csConfigAccess (iObjectRegistry *object_reg, iConfigFile *file, int Priority=iConfigManager::ConfigPriorityPlugin)
| constructor (also adds a config object)
| operator iConfigFile * ()
| access to system configuration
iConfigFile * | operator-> ()
| access to system configuration
| ~csConfigAccess ()
| destructor

## Detailed Description

This is a simple convenience class that can be used to deal with the sytem config manager.

It adds config files to the manager on demand and automatically removes them when destroyed. In addition, you can use the '->' operator to access the system configuration. Note that you must use the same iObjectRegistry for all config files you add.

Definition at line 40 of file cfgacc.h.

## Constructor & Destructor Documentation

csConfigAccess::csConfigAccess | ( |  | ) |

constructor

csConfigAccess::csConfigAccess | ( | iObjectRegistry * | object_reg | ) |

constructor (provides access to config manager, but doesn't add file)

csConfigAccess::csConfigAccess | ( | iObjectRegistry * | object_reg,
|  | const char * | Filename,
|  | bool | vfs = `true`,
|  | int | Priority = `iConfigManager::ConfigPriorityPlugin`
| ) |  |

constructor (also adds a config file)

csConfigAccess::csConfigAccess | ( | iObjectRegistry * | object_reg,
|  | iConfigFile * | file,
|  | int | Priority = `iConfigManager::ConfigPriorityPlugin`
| ) |  |

constructor (also adds a config object)

csConfigAccess::~csConfigAccess | ( |  | ) |

destructor

## Member Function Documentation

void csConfigAccess::AddConfig | ( | iObjectRegistry * | object_reg,
|  | const char * | Filename,
|  | bool | vfs = `true`,
|  | int | Priority = `iConfigManager::ConfigPriorityPlugin`
| ) |  |

add a config file

void csConfigAccess::AddConfig | ( | iObjectRegistry * | object_reg,
|  | iConfigFile * | file,
|  | int | Priority = `iConfigManager::ConfigPriorityPlugin`
| ) |  |

add a config object

csConfigAccess::operator iConfigFile * | ( |  | ) |

access to system configuration

iConfigFile* csConfigAccess::operator-> | ( |  | ) |

access to system configuration

The documentation for this class was generated from the following file:

- csutil/cfgacc.h